@import '~antd/lib/style/themes/default.less';
@import '../../themes/var.less';

@nav-header-height: @layout-header-height;

.logo {
    height: @nav-header-height;
    position: relative;
    line-height: @nav-header-height;
    padding-left: (@menu-collapsed-width - 32px) / 2;
    transition: all 0.3s;
    overflow: hidden;
    img {
        display: inline-block;
        vertical-align: middle;
        height: 110%;
        width:80%;
        margin-top:-8px;
    
    }
    h1 {
        display: inline-block;
        vertical-align: middle;
        font-size: 22px;
        margin: 0 0 0 12px;
        font-family: Avenir, 'Helvetica Neue', Arial, Helvetica, sans-serif;
        font-weight: 600;
        font-style: italic;
    
        .text-gradient();

    }
}
.sider {
    min-height: 100vh;
    position: relative;
    z-index: 10;
    background: #343434;
    color: #ffe40e;
    
    &.fixSiderBar {
      box-shadow: 2px 0 8px 0 #0000;
      position: fixed;
      top: 0;
      left: 0;
      background: #343434;
      color: #0000;
    
      :global {
        .ant-menu-root {
          overflow-y: auto;
          height: ~'calc(100vh - @{nav-header-height})';
          background: #343434;
          color: #ffe40e;
    
        }
        .ant-menu-inline {
          border-right: 0;
          background-color:#395D42;
          .ant-menu-item > a {
            color: #fff; 
            background-color:#395D42;
          }
          .ant-menu-item:after {
            border-right: 3px solid #0000;
            background-color:white;
        }
        .ant-menu:not(.ant-menu-horizontal) .ant-menu-item-selected {
          background-color: white;
          color: black;

        }
        .ant-menu-item-selected {
          background-color:white;
          color: black;
        }
          .ant-menu-item > a:hover {
            background-color:#395D42;
            color: black;
        }
          .ant-menu-item-selected > a, .ant-menu-item-selected > a:hover {
            background-color:white;
            color: black;
        }
        .ant-menu-submenu > div.ant-menu-submenu-title:hover {
          color:black;
        }
          .ant-menu-submenu-title {
            width: 100%;
            background: #395D42;
            color: white;
    
          }
        }
      }
    }
    &.light {
        box-shadow: 2px 0 8px 0 #343434;
        background:#343434;
        color: #ffe40e;
    
        .logo {
          background:#0B2C13;
        box-shadow: 1px 1px 0 0 @border-color-split;
        h1 {
          display: inline-block;
          font-size: 25px;
          font-family: Avenir, 'Helvetica Neue', Arial, Helvetica, sans-serif;
          font-weight: 600;
          .text-gradient();
          color: #ffe40e;
    
          
        }
        }
        :global(.ant-menu-light) {
        border-right-color: #0000;
        
        color: #ffe40e;
    
        }
    }
}

.icon {
  width: 14px;
  margin-right: 10px;
  color: #ffe40e;
    
}

:global {
  .top-nav-menu li.ant-menu-item {
    height: @nav-header-height;
    line-height: @nav-header-height;
    color: #ffe40e;
    
  }
  .drawer .drawer-content {
    background: #001529;
    color: #0000;
    
  }
  .ant-menu-inline-collapsed {
    & > .ant-menu-item .sider-menu-item-img + span,
    &
      > .ant-menu-item-group
      > .ant-menu-item-group-list
      > .ant-menu-item
      .sider-menu-item-img
      + span,
    & > .ant-menu-submenu > .ant-menu-submenu-title .sider-menu-item-img + span {
      max-width: 0;
      display: inline-block;
      opacity: 0;
      color: #ffe40e;
    
    }
  }
  .ant-menu-item .sider-menu-item-img + span,
  .ant-menu-submenu-title .sider-menu-item-img + span {
    transition: opacity 0.3s @ease-in-out, width 0.3s @ease-in-out;
    opacity: 1;
  }
  .ant-drawer-left {
    .ant-drawer-body {
      padding: 0;
      color:#0000;
    
    }
  }
}